cURL
curl --request GET \
--url https://sandbox.dollarpe.xyz/pis/api/v1/payin/fetch-rate \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.dollarpe.xyz/pis/api/v1/payin/fetch-rate"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.dollarpe.xyz/pis/api/v1/payin/fetch-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"asset": "USDT",
"fiat": "INR",
"rate": 87.2
}
}{
"status": false,
"message": "Bad Request",
"data": null,
"err_code": "REQ_FIELD_MISSING",
"errors": {
"asset": [
"This field is required."
],
"amount": [
"This field is required."
]
}
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Config & Rates
Fetch Rate
Returns the current fiat-to-crypto exchange rate for a payin transaction.
GET
/
payin
/
fetch-rate
cURL
Fetch Rate
| API Status Code | Response | Reason |
|---|---|---|
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
The crypto asset for which quotation is requested
Example:
"USDT"
The fiat currency in which the quotation is requested
Example:
"INR"
⌘I

